#pragma once

#include "ml.h"

#include <string>
#include <vector>
#include <iostream>
#include <fstream>

std::string read_file_contents(const std::string &filename);

int write_file_contents(const std::string &filename, const std::string &content);

MlValue list_dir(const std::string &path);

bool is_path_file(const std::string &path);

bool is_path_dir(const std::string &path);

int mk_path_dir(const std::string &path);

int rm_path_dir(const std::string &path);

MlValue exec_system_cmd(const std::string &path);
